Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.mail
Class CounteredInvitationPrintableViewModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.DialogModel
              portlets.compoze.groupware.model.mail.MailPrintableViewModel
                  portlets.compoze.groupware.model.mail.CounteredInvitationPrintableViewModel

All Implemented Interfaces:
  java.io.Serializable

public class CounteredInvitationPrintableViewModel
extends MailPrintableViewModel
implements java.io.Serializable

This class represents the data model for countered meeting invitation printable view (`invitation_counter_proposal_printable_viewjsp`)

See Also:
  Serialized Form

Field Summary

Fields inherited from class portlets.compoze.groupware.model.DialogModel
`DIALOG_SESSION_ATTRIBUTE`

Constructor Summary
`CounteredInvitationPrintableViewModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, GroupwarePreferences groupwarePrefs, MailPreferences mailPrefs, java.lang.String sSkinPath)` Constructor.

Method Summary
`CounteredMeetingInvitation` | `getCounteredMeetingInvitation()` Gets the countered meeting invitation.
`void` | `setCounteredMeetingInvitation(CounteredMeetingInvitation counteredMeetingInvitation)` Sets the countered meeting invitation.

Methods inherited from class portlets.compoze.groupware.model.mail.MailPrintableViewModel
`getMailPreferences, getMessage, setMessage`

Methods inherited from class portlets.compoze.groupware.model.DialogModel
`getCompozeCSS, getCompozeImages, getCurrentSkinPath`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CounteredInvitationPrintableViewModel

    public CounteredInvitationPrintableViewModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                                                 GroupwarePreferences groupwarePrefs,
                                                 MailPreferences mailPrefs,
                                                 java.lang.String sSkinPath)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `mailPrefs` - the mail preferences (may not be `null`)
  `sSkinPath` - the skin path (may not be `null`)

Method Detail

### getCounteredMeetingInvitation

    public CounteredMeetingInvitation getCounteredMeetingInvitation()

  Gets the countered meeting invitation.

  Returns:
    the countered meeting invitation

### setCounteredMeetingInvitation

    public void setCounteredMeetingInvitation(CounteredMeetingInvitation counteredMeetingInvitation)

  Sets the countered meeting invitation.

  Parameters:
    `counteredMeetingInvitation` - the countered meeting invitation

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.